Model MatchHelp

CRM

List the direct shares on a record (+ display, canManageShares)

getapi.modelmatch.com/v1/crm/record-shares

Authorization

x-api-keystringrequired

API key or OAuth token. See Authentication.

Query parameters

entityIdstringrequired

The record's entity id.

Responses

200objectThe per-user share grants on the record, with display.
Show attributes
dataobjectrequired
Show child attributes
canManageSharesbooleanrequired
sharesobject[]required
Show child attributes
createdAtnumberrequired
emailstring | nullrequired
grantedByNamestring | nullrequired
imagestring | nullrequired
namestring | nullrequired
sourcestringrequired
userIdstringrequired
400objectValidation error
401objectUnauthorized
403objectForbidden (authenticated, but missing required context — e.g. no active organization)
404objectNot found
413objectResponse payload too large — detail endpoint capped to fit Lambda response limits
502objectAuth service unavailable.
503objectSearch timed out or the cluster is overloaded — retry after `Retry-After` seconds.